package com.miaxis.question.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * version对象 question_version
 *
 * @author zhangbin
 * @date 2021-07-26
 */
@Data
@TableName("question_version")
@ApiModel(value = "QuestionVersion", description = "version对象 question_version")
public class QuestionVersion extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("version_num")
    @ApiModelProperty(value = "$column.columnComment")
    private String versionNum;

    /** $column.columnComment */
    @Excel(name = "${column.columnComment}", readConverterExp = "$column.readConverterExp()")
    @TableField("down_path")
    @ApiModelProperty(value = "$column.columnComment")
    private String downPath;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setVersionNum(String versionNum){
        this.versionNum = versionNum;
    }

    public String getVersionNum(){
        return versionNum;
    }
    public void setDownPath(String downPath){
        this.downPath = downPath;
    }

    public String getDownPath(){
        return downPath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("versionNum", getVersionNum())
            .append("downPath", getDownPath())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
